package com.yonge.cooleshow.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yonge.cooleshow.biz.dal.entity.PianoRoomTime;
import com.yonge.cooleshow.biz.dal.vo.CourseScheduleStudentVo;
import com.yonge.cooleshow.biz.dal.vo.PianoRoomTimeVo;

import java.util.List;

/**
 * @Author: cy
 * @Date: 2022/5/26
 */
public interface PianoRoomTimeDao extends BaseMapper<PianoRoomTime> {
    //查询琴房剩余时长、冻结时长、统计学员人数
    PianoRoomTimeVo selectRemainTime(Long teacherId);

    //更新结课时间
    void updateEndTime(List<CourseScheduleStudentVo> list);

    //释放冻结时间
    void updateBatch(List<PianoRoomTime> list);

    //统计人数
    Integer countStudent(Long teacherId);
}